"""
This question is intended to evaluate the following topics:
  A0019 - Integrate functionality between multiple software components.
  A0018 - Analyze a problem to formulate a software solution.
  S0030 - Utilize bitwise operators to manipulate binary values.
  S0007 - Skill in writing code in a currently supported programming language (e.g., Java, C++).
  S0096 - Utilize the Socket library."""
import socket
import random
from random import randint

'''
    The objective of this task is to match the session key provided by
    a webserver running on port 5000.

    Create a connection to the server using the IP and port number (5000).
    Once connected, you will receive a message back from the server. ie. "SERVER>>> Connection successful"
    You will then receive a hex value from the server.
    You will need to "decrypt" that hex value by XOR'ing it with the appropriate key from the session_keys array
    The decrypted value is going to match one of keys from the server XOR'ed with a random hex number
    You will then send that "decrypted" value back to the server to see if it matches the hex value generated by the server
'''

serverName = "10.8.0.1"
serverPort = 5000

session_keys = ["aa072fbbf5f408d81c78033dd560d4f6",
                "bb072fbbf5f408d81c78033dd560f6d4",
                "f5072fbbf5f408d81c78033dd5f6d460",
                "408df5072fbbf5f81c3dd5f6d4607803",
                "dd5f408df5072fbbfc36d46078035f81",
                "c36d408df5072fbbf46078035f81dd5f",
                "35f8c36df5072fbbf4607801dd5fd408",
                "2f07aaf408d81c78033dd560d4f6bbf5",
                "80332ff408d81c7dd560d4f6bbf507aa",
                "560d4f8033281c7dd6bbf507aaff408d",
               ]


def match_keys():
    # step 1: create socket

    print("Attempting connection")

    '''
        Message received from server:

        Success = "Success! You found the key:"
        Incorrect = "FAILURE, invalid key received"
    '''
